#ifndef RAW_FILES_H
#define RAW_FILES_H

#include <stdio.h>

template <typename T>
void writeToRaw(T * voxels, char * filename, int SIZE_X, int SIZE_Y, int SIZE_Z) {
    FILE * file = fopen(filename, "wb");
    fwrite(voxels, sizeof(T), SIZE_X*SIZE_Y*SIZE_Z, file);
    fclose(file);
}

short * parseRawFile(char * filename, int * SIZE_X, int * SIZE_Y, int * SIZE_Z);

short * lungCropping(short * dataset, int * SIZE_X, int * SIZE_Y, int * SIZE_Z);
#endif
